/*:
 * @plugindesc Custom menu sprite for PLUTO'S WHISTLE.
*/

//
// Alternate image script made by RPH.
//

(function() {
    let oldItemIcon = Window_Base.prototype.drawItemIcon;
    let oldShopInit = Scene_OmoriItemShop.prototype.initAtlastLists;
    Window_Base.prototype.drawItemIcon = function(item, x, y, rate = 1.0) {
        if (DataManager.isItem(item) && item.id === 255) { 
            let bitmap = ImageManager.loadSystem("itemWhistle"); 
            bitmap.addLoadListener(() => {
                let width = 106;
                let height = 106;
                let sX = 0;
                let sY = 0;
                this.contents.blt(bitmap, sX, sY, width, height, x, y, width * rate, height * rate);
            });
        } else { 
            oldItemIcon.call(this, ...arguments);
        }
    }
    Scene_OmoriItemShop.prototype.initAtlastLists = function() {
        oldShopInit.call(this);
        ImageManager.reserveSystem("itemWhistle", 0,  this._imageReservationId)
    }
})();